

# Source:
# http://www.ecfr.gov/cgi-bin/text-idx?SID=3f70a842f034333804eedcfd1d263d45&mc=true&node=ap40.21.86_11931_686_11999.i&rgn=div9
# e-CFR data is current as of October 6, 2016

# Title 40 → Chapter I → Subchapter C → Part 86 → Appendix
# Title 40: Protection of Environment
# PART 86—CONTROL OF EMISSIONS FROM NEW AND IN-USE HIGHWAY VEHICLES AND ENGINES
# Appendix I to Part 86—Dynamometer Schedules
# 
# (a) EPA light-duty urban dynamometer driving schedule (UDDS). This driving schedule is also known as the LA-4 cycle.

d = read.csv("epa-us06.csv", sep=";", header=FALSE)
us06 = d[[2]] # in miles per hour
d = read.csv("epa-sc03.csv", sep=";", header=FALSE)
sc03 = d[[2]] # in miles per hour


# according to 
# http://www.mein-elektroauto.com/tag/epa/
# the new EPA test cycle consists of 3 cycles:
# US06 (Highway)
# SC03 (City Cold)
# SC03 (City Hot)



epa = c(us06,sc03,sc03)*1.6 # convert to km/h


epa_mean = mean(epa)
epa_rms = sqrt(mean(epa^2))

k = (epa_rms/epa_mean)^2
